Create a contact
POST
/contact/{identifier}
const url = 'https://api.aelyst.ai/v1/contact/example';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"firstName":"Muhammad ","lastName":"Mahin","phone":"+60123456789","email":"test@example.com","language":"ms","profilePic":"https://cdn.aelyst.ai/profile_avatar.png","countryCode":"MY","custom_fields":[{"name":"Company Website","value":"https://example.com"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.aelyst.ai/v1/contact/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "firstName": "Muhammad ", "lastName": "Mahin", "phone": "+60123456789", "email": "test@example.com", "language": "ms", "profilePic": "https://cdn.aelyst.ai/profile_avatar.png", "countryCode": "MY", "custom_fields": [ { "name": "Company Website", "value": "https://example.com" } ] }'Creates a new contact. It is highly recommended to add a delay before executing a new action after creating a new contact, as processing time is required.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”identifier
required
string
Identifier of the contact that can either be a phone number, email or contact ID. Examples: email:abdc@gmail.com , phone:+60121233112
Request Body
Section titled “Request Body”Media typeapplication/json
object
Any of:
object
firstName
required
string
Example
MuhammadlastName
string
Example
Mahinphone
string
Example
+60123456789email
string
Example
test@example.comlanguage
profilePic
string
Example
https://cdn.aelyst.ai/profile_avatar.pngcountryCode
custom_fields
Array<object>
object
name
required
string
Example
Company Websitevalue
Formatting rules
- Text: “string” (use quotation marks for the string value)
- Number: Number (without any quotation marks)
- Email: “email” (format: user@domain.com)
- URL: “url” (format: www.website.com, https://www.website.com, website.com, http://website.com)
- List: “string” (the string value must match one of the list options)
- Date: “yyyy-mm-dd” (must follow this format)
- Time: “HH:MM” (must follow 24H format, 1PM => 13:00)
- Checkbox: “true/false” (must be true for checked, false for unchecked)
string
Example
https://example.comResponses
Section titled “Responses”Media typeapplication/json
object
code
required
string
message
required
string
Example
{ "code": "200", "message": "Contact added successfully!"}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 400, "message": "Validation error."}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 401, "message": "UN_AUTHORIZED"}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 429, "message": "Too Many Requests"}Headers
Section titled “Headers”Retry-After
number
Example
1Number of seconds until you can retry the request
X-RateLimit-Limit
number
Example
10Number of request allowed for this end point
X-RateLimit-Remaining
number
Example
5Number of request remaining for this end point
Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 500, "message": "Unexpected error occurred"}